Subject: Re: [smartpower-interest] New SMART-Power Purchasing Control Model

From: sujay gupta <[email-masked]>
Date: Tue, 1 Jun 2010 20:47:26 +0530

Hi Todd,

For the benefit of novice members who might take IETF boilerplate
without vices, could you please
elucidate on the statement "for refusing to put in place a model for
IETF IP which will meet those requirements of their sponsor's IP
acquisition policies already in use today" , perhaps with examples.

Thanks,
-Sujay

On Mon, May 31, 2010 at 7:12 PM, todd glassey <[email-masked]> wrote:
> I should mention that  we have a new "Protocol for the  Announcement of
> Energy Availability , Negotiation for and then Purchase of Energy" as an
> algorithmic trading system type operation. It was patent-applied-for prior
> to its public announcement. As such NO right to use it is conveyed in this
> announcement (this last comment is to address NoteWell).
>
> It's a variant of a system used by Securities Traders today which is fully
> FINRA and SEC Approved, and why that is important is that the instant a
> meter can shop and buy power from other provides it will become federally
> regulated by FINRA, and there is no way around that for anyone.
>
> So... the patent for this was filed in March of 2010 and is already
> registered. The IP is intended to be licensable and there will be an open
> source version which will implement the basic messaging
> and control service application protocol over the IP-over-Grid messaging
> already in place for DASH7 and other appliance type device systems. If you
> are interested please contact me off list.
>
>
> It is NOT my intent at this time to turn this IP over to the IETF because of
> what I cite as "gross incompetence in the IETF's legal team and IPR working
> group" for refusing to put in place a model for IETF IP which will meet
> those requirements of their sponsor's IP acquisition policies already in use
> today ... a situation which I assert is well known and which makes control
> and ownership of any IETF protocol impossible even for the IETF itself, but
> the people inside seem to intend this to be the case and so turning IP over
> to the IETF is neither smart or meets the terms and conditions for any of
> the commercial players here IMHO.
>
> This is what happens when you put people in charge of the IETF who's
> professional salaries are paid to allow them to continue dominating and
> preventing others from working with and in advancing efforts inside the IETF
> itself.
>
>
> Todd Glassey
>
>
> _______________________________________________
> smartpower-interest mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/smartpower-interest
>
>

---

From: todd glassey <[email-masked]>
Date: Tue, 01 Jun 2010 09:39:06 -0700

> acquisition policies already in use today" , perhaps with examples.

Sujay - the IETF has a set of continuously moving licenses which fail to 
meet all of the requirements of the adopting entities purchase 
processes. They also are always in flux meaning it is nearly impossible 
to make a completely informed decision about this license process since 
no one person seems to know everything about the process or workflow.

For instance since we have Fred as a member lets use his company who is 
a major sponsor here in the IETF. Cisco when it buys IP from a third 
party is forced to properly document ownership and transfer of the 
license. So there are formal agreements and licenses which are inked, no 
machine based processes are relied on really, and this is true of all 
parties who are formally audited.

Also IP which doesn't have a clean power of attorney assigned to it is 
incapable of being inducted into this mess...

The IETF and in particular the "standards committee lifer's" like Fred 
for instance who run the IESG are very aware of this and the members of 
the IPR working group simply don't care - and as such, the IETF 
licensing model is not stable enough to allow anything of US National or 
global important to rely on it.

This isnt complex  it's reality.

Todd Glassey

>
> On Mon, May 31, 2010 at 7:12 PM, todd glassey<[email-masked]>  wrote:

---

From: Fred Baker <[email-masked]>
Date: Tue, 1 Jun 2010 09:39:35 -0700

Sujay:

Since Todd has stated in this note that this is not an IETF product and he doesn't intend to contribute it here, I don't think there is much point in discussing it here. The appropriate place would perhaps be the discussion lists hosted by NIST.

Todd:

Most of your note is not about the technology you have developed, but about IETF IPR policy. The correct list for the discussion of IETF IPR Policy is [email-masked].

Fred

>> preventing others from working with and in advancing efforts inside the IETF

http://www.ipinc.net/IPv4.GIF

---

From: todd glassey <[email-masked]>
Date: Tue, 01 Jun 2010 09:56:27 -0700

On 6/1/2010 9:39 AM, Fred Baker wrote:
> Sujay:
>
> Since Todd has stated in this note that this is not an IETF product and he doesn't intend to contribute it here, I don't think there is much point in discussing it here.

> The appropriate place would perhaps be the discussion lists hosted by NIST.

Since the IETF is including NIST works in its documents there is a 
problem since NIST cannot change the IP rights the US Government granted 
to that material to the IETF's more restrictive ones which give the IETF 
and the Trust control of the property.

That means all of the key SmartGrid materials through DoE and NIST 
cannot be included or referenced in any form which impinges those IP 
rights.

This is yet another instance where the IETF claims that because it had a 
document submitted to it or vetted through it that it owns any and all 
rights. The problem is that the IETF has refused to put in place a 
competent IP conveyance model.

> Most of your note is not about the technology you have developed, but about IETF IPR policy. The correct list for the discussion of IETF IPR Policy is [email-masked].

Uh NO FRED its not.

The IPR working group is intentionally creating a standard which is both 
legally nebulous and incomplete. It is so complex and spread across 
multiple documents, so no one person can actually document all of the 
issues which is why the IPR system in place needs continual updates. 
That means a proper informed consent process is impossible or very 
difficult and costly relative to real IP transfer processes and it seems 
to me this was done to protect a bunch of lazy techies (the IESG 
members) who seem to think they rule the world.

I got news for you Fred - you and they dont...

Why it is appropriate to discuss it here is to come up with a plan as to 
what IP rights the smartgrid program has to offer and how they will be 
done with NIST since the Fed's cannot turn anything over to the IETF 
which requires changing of the Federal Right to Use license and since NO 
FORMAL NOTICE TO THE MEMBERS OF THE IETF TOOK PLACE ABOUT THESE 
CONTRACTUAL CHANGES they are moot as ineffectual.

Sorry but NONE of any of the entities I have ever worked for or audited 
can take any intellectual property they cannot show a positive ownership 
of and IETF briefs do not license the use of the IP just the 
republication of the written-word as a work-of-art... not even a 
technical description.

Bluntly the IETF is so incompetent in this area as to be funny and IMHO 
your actions in trying to cover that up Fred speak for themselves.

Todd